﻿using System.Windows;
using System.Windows.Controls.Primitives;
using Microsoft.Windows.Controls.Ribbon;
using System.Reflection;
using System;

namespace ObentoApp
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : RibbonWindow
    {
        public MainWindow()
        {
            InitializeComponent();

            ContentControlMain.Content = new ContetObentoOrder();

            Assembly mainAssembly = Assembly.GetEntryAssembly();
            AssemblyName mainAssemName = mainAssembly.GetName();
            this.Title = String.Format("{0} {1}", this.Title, mainAssemName.Version.ToString());
        }

        private void Menu_Checked(object sender, RoutedEventArgs e)
        {
            if (ContentControlMain != null)
            {
                SwitchContent(((ToggleButton)sender).Name);
            }
        }

        private void SwitchContent(string senderName)
        {
            if (senderName != "MenuObentoOrder") 
                MenuObentoOrder.IsChecked = false;
            if (senderName != "MenuOrderList")
                MenuOrderList.IsChecked = false; 
            if (senderName != "MenuObentoEntry") 
                MenuObentoEntry.IsChecked = false;
            if (senderName != "MenuObentoList") 
                MenuObentoList.IsChecked = false;
            if (senderName != "MenuUserEntry") 
                MenuUserEntry.IsChecked = false;
            if (senderName != "MenuUserList")
                MenuUserList.IsChecked = false;

            switch (senderName)
            {
                case "MenuObentoOrder":
                    ContentControlMain.Content = new ContetObentoOrder();
                    ChangeRibbonTabVisibility(senderName);
                    break;
                case "MenuOrderList":
                    ContentControlMain.Content = new ContetOrderList();
                    ChangeRibbonTabVisibility(senderName);
                    break;
                case "MenuObentoEntry":
                    ContentControlMain.Content = new ContetObentoEntry();
                    ChangeRibbonTabVisibility(senderName);
                    break;
                case "MenuObentoList":
                    ContentControlMain.Content = new ContetObentoList();
                    ChangeRibbonTabVisibility(senderName);
                    break;
                case "MenuUserEntry":
                    ContentControlMain.Content = new ContetUserEntry();
                    ChangeRibbonTabVisibility(senderName);
                    break;
                case "MenuUserList":
                    ContentControlMain.Content = new ContetUserList();
                    ChangeRibbonTabVisibility(senderName);
                    break;
            }
        }

        private void ChangeRibbonTabVisibility(string senderName)
        {
            if (senderName == "MenuObentoOrder") 
                TabObentoOrder.Visibility = Visibility.Visible;
            if (senderName == "MenuOrderList")
                TabOrderList.Visibility = Visibility.Visible;
            if (senderName == "MenuObentoEntry") 
                TabObentoEntry.Visibility = Visibility.Visible;
            if (senderName == "MenuObentoList")
                TabObentoList.Visibility = Visibility.Visible;
            if (senderName == "MenuUserEntry") 
                TabUserEntry.Visibility = Visibility.Visible;
            if (senderName == "MenuUserList") 
                TabUserList.Visibility = Visibility.Visible;

            if (senderName != "MenuObentoOrder") 
                TabObentoOrder.Visibility = Visibility.Hidden;
            if (senderName != "MenuOrderList")
                TabOrderList.Visibility = Visibility.Hidden;
            if (senderName != "MenuObentoEntry") 
                TabObentoEntry.Visibility = Visibility.Hidden;
            if (senderName != "MenuObentoList") 
                TabObentoList.Visibility = Visibility.Hidden;
            if (senderName != "MenuUserEntry") 
                TabUserEntry.Visibility = Visibility.Hidden;
            if (senderName != "MenuUserList") 
                TabUserList.Visibility = Visibility.Hidden;
        }


        private void Menu_Unchecked(object sender, RoutedEventArgs e)
        {
            if (ContentControlMain != null)
            {
                if ((MenuObentoOrder.IsChecked == false) &&
                    (MenuOrderList.IsChecked == false) &&
                    (MenuObentoEntry.IsChecked == false) &&
                    (MenuObentoList.IsChecked == false) &&
                    (MenuUserEntry.IsChecked == false) &&
                    (MenuUserList.IsChecked == false))
                {
                    ((ToggleButton)sender).IsChecked = true;
                }
            }
        }

    }
}
